Não consigo mostrar anuncios adMob em celulares com API inferior 21

  • Respostas:0
  • AbertoNão stickySem resposta
  • Posts no fórum: 3

10/12/2017, 21:46:44 via Web

Estou fazendo um app e inclui anuncios do ADMob
Só que estes anuncios interticiais, banner e videi premiado (Este premiado até que apareceu uma vez no API 16), mais no geral aparece apenas nas versões de API 21 acima.

No gradle do Android studio esta assim

  /** Google */
        maven {
          //não posso mostrar url aqui, mais é aquela que tem do google
        }

As dependencias

 compile 'com.google.firebase:firebase-ads:11.6.0'
  compile 'com.google.firebase:firebase-auth:11.6.0'
  compile 'com.google.android.gms:play-services-auth:11.6.0'

E abaixo

apply plugin: 'com.google.gms.google-services'

As versões que estou usando

   compileSdkVersion 26
     defaultConfig {

         minSdkVersion 16
        targetSdkVersion 26

É inicializado corretamente no onCreate da Activity e funciona, porém não em versões inferior a 21.

O que pode ser?

Obrigado.

Responder

Artigos recomendados